# git-update-server-info(1) Manual Page

## NAME

git-update-server-info - Update auxiliary info file to help dumb servers

## SYNOPSIS

git-update-server-info [--force]

## DESCRIPTION

A dumb server that does not do on-the-fly pack generations must have some auxiliary information files in $GIT_DIR/info and $GIT_OBJECT_DIRECTORY/info directories to help clients discover what references and packs the server has. This command generates such auxiliary files.

## OPTIONS

-f|--force

  Update the info files from scratch.

## OUTPUT

Currently the command updates the following files. Please see repository-layout for description of what they are for:

- objects/info/packs

- info/refs

## BUGS

When you remove an existing ref, the command fails to update info/refs file unless `--force` flag is given.

## Author

Written by Junio C Hamano <junkio@cox.net>

## Documentation

Documentation by Junio C Hamano.

## GIT

Part of the git(7) suite